Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class ExtensibleDOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation
          org.apache.batik.dom.ExtensibleDOMImplementation

All Implemented Interfaces:
  Serializable, StyleSheetFactory, Localizable, DOMImplementationCSS, DOMImplementation

Direct Known Subclasses:
  SVGDOMImplementation

    public abstract class ExtensibleDOMImplementation

extends AbstractDOMImplementation
implements DOMImplementationCSS, StyleSheetFactory, Localizable

This class implements the `DOMImplementation` interface. It allows the user to extend the set of elements supported by a Document, directly or through the Service API (see `Service`).

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `ExtensibleDOMImplementation.ElementFactory` This interface represents a factory for elements.

Field Summary
`protected DoublyIndexedTable` | `customFactories` The custom elements factories.
`protected List` | `customShorthandManagers` The custom shorthand value managers.
`protected List` | `customValueManagers` The custom value managers.
`protected static List` | `extensions`
`protected LocalizableSupport` | `localizableSupport` The localizable support for the error messages.
`protected static String` | `RESOURCES` The error messages bundle class name.

Fields inherited from class org.apache.batik.dom.AbstractDOMImplementation
`features`

Constructor Summary
`ExtensibleDOMImplementation()` Creates a new DOMImplementation.

Method Summary
`CSSEngine` | `createCSSEngine(AbstractStylableDocument doc, CSSContext ctx)` Creates new CSSEngine and attach it to the document.
`abstract CSSEngine` | `createCSSEngine(AbstractStylableDocument doc, CSSContext ctx, ExtendedParser ep, ValueManager[] vms, ShorthandManager[] sms)`
`Element` | `createElementNS(AbstractDocument document, String namespaceURI, String qualifiedName)` Implements the behavior of Document.createElementNS() for this DOM implementation.
`abstract ViewCSS` | `createViewCSS(AbstractStylableDocument doc)` Creates a ViewCSS.
`String` | `formatMessage(String key, Object[] args)` Implements `Localizable.formatMessage(String,Object[])`.
`protected static List` | `getDomExtensions()`
`Locale` | `getLocale()` Implements `Localizable.getLocale()`.
`protected void` | `initLocalizable()`
`void` | `registerCustomCSSShorthandManager(ShorthandManager sm)` Allows the user to register a new shorthand CSS value manager.
`void` | `registerCustomCSSValueManager(ValueManager vm)` Allows the user to register a new CSS value manager.
`void` | `registerCustomElementFactory(String namespaceURI, String localName, ExtensibleDOMImplementation.ElementFactory factory)` Allows the user to register a new element factory.
`void` | `setLocale(Locale l)` Implements `Localizable.setLocale(Locale)`.

Methods inherited from class org.apache.batik.dom.AbstractDOMImplementation
`createDocumentEventSupport, createEventSupport, getFeature, hasFeature, registerFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.css.DOMImplementationCSS
`createCSSStyleSheet`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, getFeature, hasFeature`

Methods inherited from interface org.apache.batik.dom.StyleSheetFactory
`createStyleSheet`

Field Detail

### customFactories

    protected DoublyIndexedTable customFactories

  The custom elements factories.

### customValueManagers

    protected List customValueManagers

  The custom value managers.

### customShorthandManagers

    protected List customShorthandManagers

  The custom shorthand value managers.

### RESOURCES

    protected static final String RESOURCES

  The error messages bundle class name.

  See Also:
    Constant Field Values

### localizableSupport

    protected LocalizableSupport localizableSupport

  The localizable support for the error messages.

### extensions

    protected static List extensions

Constructor Detail

### ExtensibleDOMImplementation

    public ExtensibleDOMImplementation()

  Creates a new DOMImplementation.

Method Detail

### setLocale

    public void setLocale(Locale l)

  Implements `Localizable.setLocale(Locale)`.

  Specified by:
    `setLocale` in interface `Localizable`
  Parameters:
    `l` - The locale to set.

### getLocale

    public Locale getLocale()

  Implements `Localizable.getLocale()`.

  Specified by:
    `getLocale` in interface `Localizable`

### initLocalizable

    protected void initLocalizable()

### formatMessage

    public String formatMessage(String key,
                                Object[] args)
                         throws MissingResourceException

  Implements `Localizable.formatMessage(String,Object[])`.

  Specified by:
    `formatMessage` in interface `Localizable`
  Parameters:
    `key` - The key used to retreive the message from the resource bundle.
    `args` - The objects that compose the message.
  Throws:
    `MissingResourceException` - if the key is not in the bundle.

### registerCustomElementFactory

    public void registerCustomElementFactory(String namespaceURI,
                                             String localName,
                                             ExtensibleDOMImplementation.ElementFactory factory)

  Allows the user to register a new element factory.

### registerCustomCSSValueManager

    public void registerCustomCSSValueManager(ValueManager vm)

  Allows the user to register a new CSS value manager.

### registerCustomCSSShorthandManager

    public void registerCustomCSSShorthandManager(ShorthandManager sm)

  Allows the user to register a new shorthand CSS value manager.

### createCSSEngine

    public CSSEngine createCSSEngine(AbstractStylableDocument doc,
                                     CSSContext ctx)

  Creates new CSSEngine and attach it to the document.

### createCSSEngine

    public abstract CSSEngine createCSSEngine(AbstractStylableDocument doc,
                                              CSSContext ctx,
                                              ExtendedParser ep,
                                              ValueManager[] vms,
                                              ShorthandManager[] sms)

### createViewCSS

    public abstract ViewCSS createViewCSS(AbstractStylableDocument doc)

  Creates a ViewCSS.

### createElementNS

    public Element createElementNS(AbstractDocument document,
                                   String namespaceURI,
                                   String qualifiedName)

  Implements the behavior of Document.createElementNS() for this DOM implementation.

### getDomExtensions

    protected static List getDomExtensions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.